Page 1 of 1

Python 3.x?

Posted: 2012-09-24, 03:32
by sphyrth
Out of curiosity, will you be planning to code the engine using Python3?

I'm not sure what are the things to consider when you guys do so.

Re: Python 3.x?

Posted: 2012-09-24, 09:55
by Carsten
sphyrth wrote:Out of curiosity, will you be planning to code the engine using Python3?

I'm not sure what are the things to consider when you guys do so.

Cafu is written mainly in C++, so Python 3 (or any other version, for that matter) is not an option.

Bindings to python, at a later time, are another matter, but we have no concrete plans for it and they would best be user created anyways.

Porting the SCons scripts to Python 3 is dependent on SCons's supporting it first.

Re: Python 3.x?

Posted: 2012-09-24, 10:16
by sphyrth
:lol:
Epic Fail on my part.

I was so concentrated on Scons that I forgot what language I was writing on.